## evolution-data-server 3.45.3

=== debian/changelog ===
evolution-data-server (3.45.3-1.2) unstable; urgency=medium

  * fix typo in Breaks field

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Sep 2022 19:33:05 -0400

evolution-data-server (3.45.3-1.1) unstable; urgency=medium

  * Release to unstable
  * Add some Breaks for evolution-data-server 3.45/libsoup3 transition

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Sep 2022 15:31:56 -0400

evolution-data-server (3.45.3-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Drop obsolete gcr from Build-Depends
  * debian/libedataserverui-1.2-4.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 02 Sep 2022 04:16:04 -0400

evolution-data-server (3.45.2-1) experimental; urgency=medium

  * New upstream release
  * Update package names for soname bump
  * Update symbols files
  * debian/control.in: Build-Depend on libsoup3 instead of libsoup2.4
  * debian/control.in: Build-Depend on libwebkit2gtk-4.1-dev instead of 4.0
  * debian/control.in: Bump minimum libgweather to 4.1
  * debian/control.in: Drop Build-Depends on libgdata
  * debian/rules: Don't build the gtk4 library yet

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 05 Aug 2022 08:18:04 -0400

evolution-data-server (3.44.4-1) unstable; urgency=medium

  * New upstream release
  * Drop glib patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 05 Aug 2022 07:13:11 -0400
