=== debian/changelog ===
evolution-data-server (3.46.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.1
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 16 Sep 2022 15:27:03 -0400

evolution-data-server (3.45.3-2) experimental; urgency=medium

  * Add packages for the GTK4 version of libedataserverui: libedataserverui4

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 02 Sep 2022 14:16:20 -0400
