=== debian/changelog ===
evolution-data-server (3.46.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (LP: #1993834)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 21 Oct 2022 11:32:50 -0400
