=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: evolution-data-server
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: cmake,
                debhelper-compat (= 13),
@@ -21,6 +22,7 @@
                libsecret-1-dev (>= 0.5),
                libgoa-1.0-dev (>= 3.8),
                libgtk-3-dev (>= 3.10),
+               libgtk-4-dev (>= 4.4),
                libgweather-4-dev (>= 4.1),
                libical-dev (>= 3.0.7),
                libicu-dev,
@@ -34,6 +36,7 @@
                libsoup-3.0-dev (>= 3.1.1),
                libsqlite3-dev (>= 3.7.17),
                libwebkit2gtk-4.1-dev [!ia64 !kfreebsd-any],
+               libwebkit2gtk-5.0-dev [!ia64 !kfreebsd-any],
                libxml2-dev (>= 2.0.0),
                gtk-doc-tools (>= 1.14),
                gperf,
@@ -43,7 +46,7 @@
                db-util <!nocheck>,
                dbus <!nocheck>,
 Rules-Requires-Root: binary-targets
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://wiki.gnome.org/Apps/Evolution
 Vcs-Git: https://salsa.debian.org/gnome-team/evolution-data-server.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/evolution-data-server
@@ -212,6 +215,57 @@
  library. It can be used by packages using the GIRepository format to
  generate dynamic bindings.
 
+Package: libedataserverui4-1.0-0
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         evolution-data-server-common (>= ${gnome:Version})
+Description: GTK4 utility library for evolution data servers
+ The data server, called "Evolution Data Server" is responsible for managing
+ calendar and addressbook information.
+ .
+ This package is a GTK4 UI utility library for evolution-data-server.
+
+Package: libedataserverui4-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: libedataserverui4-1.0-0 (= ${binary:Version}),
+         gir1.2-edataserverui4-1.0 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends},
+         libedata-book1.2-dev,
+         libcamel1.2-dev (= ${binary:Version}),
+         libecal2.0-dev (= ${binary:Version}),
+         libedataserver1.2-dev (= ${binary:Version}),
+         libxml2-dev,
+         libglib2.0-dev (>= 2.40),
+         libgtk-4-dev (>= 4.4),
+         libsoup-3.0-dev (>= 3.1.1),
+         libsecret-1-dev
+Description: GTK4 Utility library for evolution data server (development files)
+ The data server, called "Evolution Data Server" is responsible for managing
+ calendar and addressbook information.
+ .
+ This package contains development files for libedataserverui.
+
+Package: gir1.2-edataserverui4-1.0
+Section: introspection
+Architecture: any
+Multi-Arch: same
+Depends: ${gir:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: GObject introspection for the EDataServerUI4 library
+ The data server, called "Evolution Data Server" is responsible for managing
+ calendar and addressbook information.
+ .
+ This package contains introspection data for the libedataserverui4
+ library. It can be used by packages using the GIRepository format to
+ generate dynamic bindings.
+
 Package: libcamel-1.2-64
 Section: libs
 Architecture: any
@@ -284,57 +338,3 @@
 Architecture: any
 Multi-Arch: same
 Depends: libebook-1.2-21 (= ${binary:Version}),
-         gir1.2-ebook-1.2 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
-         libedataserver1.2-dev (= ${binary:Version}),
-         libebook-contacts1.2-dev (= ${binary:Version}),
-         libcamel1.2-dev (= ${binary:Version}),
-         libedata-book1.2-dev (= ${binary:Version}),
-         libglib2.0-dev (>= 2.40),
-Description: Client library for evolution address books (development files)
- This package contains header files and static library for libebook.
- .
- libebook is a client library for evolution addressbooks.
- Evolution is the integrated mail, calendar, task and address book
- distributed suite from Novell, Inc.
-
-Package: gir1.2-ebook-1.2
-Section: introspection
-Architecture: any
-Multi-Arch: same
-Depends: ${gir:Depends},
-         ${shlibs:Depends},
-         ${misc:Depends}
-Description: GObject introspection for the EBook library
- The data server, called "Evolution Data Server" is responsible for managing
- calendar and addressbook information.
- .
- This package contains introspection data for the libeebook
- library. It can be used by packages using the GIRepository format to
- generate dynamic bindings.
-
-Package: libedata-book-1.2-27
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Description: Backend library for evolution address books
- Evolution is the integrated mail, calendar, task and address book
- distributed suite from Novell, Inc.
- .
- This package is a backend library for evolution address book.
-
-Package: libedata-book1.2-dev
-Section: libdevel
-Architecture: any
-Multi-Arch: same
-Depends: libedata-book-1.2-27 (= ${binary:Version}),
-         gir1.2-edatabook-1.2 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
-         libebook-contacts1.2-dev (= ${binary:Version}),
-         libebackend1.2-dev (= ${binary:Version}),
-         libglib2.0-dev (>= 2.40),
-Description: Backend library for evolution address books (development files)
